#ifndef _CZT_H_
#define _CZT_H_

/* fast fourier transform */
void czt(void);

/* chirp Z Transform (by concoluation 
input signal
length of input signal
length of output signal
ratio between points
starting point on spiral contour
FFT: CZT(x, length (x), length (x), exp (-i * 2 * pi / m), 1)
loosely based on Grant D. Martin: Chirp Z-Transform Spectral Zoom Optimization with MATLAB (equation 1) */
void CZT(double x[],
	unsigned short n,
	Complex y[],
	unsigned short m, 
	Complex w,
	Complex a);
 	
#endif
